# Class default

Interaction dedicated to measure length.

See our live example: ../examples/measure.html

#### Hierarchy

- Measure
  - default

- Defined in src/interaction/MeasureAzimut.js:32

#####
Index

### Constructors

constructor

### Properties

continueMsg
displayHelpTooltip_
helpTooltipElement_
helpTooltipOverlay_
numberFormat
sketchFeature
startMsg
unitPrefixFormat

### Methods

createDrawInteraction
getDrawInteraction
getTooltipElement
handleMeasure
setMap

## Constructors

### constructor

- new default(unitPrefixFormat, numberFormat, options?): default

- #### Parameters

  - ##### unitPrefixFormat: unitPrefix

    The format function

  - ##### numberFormat: formatNumber

    The format function

  - ##### `Optional` options: MeasureOptions = {}

    Options

  #### Returns default

  #### Fires

  import('ngeo/interaction/Measure').MeasureEvent

  Overrides ngeoInteractionMeasure.constructor

  - Defined in src/interaction/MeasureAzimut.js:39

## Properties

### continueMsg

continueMsg: Element

Message to show after the first point is clicked.

Inherited from ngeoInteractionMeasure.continueMsg

- Defined in src/interaction/MeasureAzimut.js:53

### displayHelpTooltip_

displayHelpTooltip_: boolean

Whether or not to display any tooltip

Inherited from ngeoInteractionMeasure.displayHelpTooltip_

- Defined in src/interaction/Measure.js:155

### helpTooltipElement_

helpTooltipElement_: HTMLElement

The help tooltip element.

Inherited from ngeoInteractionMeasure.helpTooltipElement_

- Defined in src/interaction/Measure.js:85
- Defined in src/interaction/Measure.js:399
- Defined in src/interaction/Measure.js:426

### helpTooltipOverlay_

helpTooltipOverlay_: Overlay

Overlay to show the help messages.

Inherited from ngeoInteractionMeasure.helpTooltipOverlay_

- Defined in src/interaction/Measure.js:92
- Defined in src/interaction/Measure.js:401
- Defined in src/interaction/Measure.js:420

### numberFormat

numberFormat: formatNumber

The format function

- Defined in src/interaction/MeasureAzimut.js:60

### sketchFeature

sketchFeature: Feature<Geometry>

The sketch feature.

Inherited from ngeoInteractionMeasure.sketchFeature

- Defined in src/interaction/Measure.js:123
- Defined in src/interaction/Measure.js:307
- Defined in src/interaction/Measure.js:373

### startMsg

startMsg: Element

The message to show when user is about to start drawing.

Inherited from ngeoInteractionMeasure.startMsg

- Defined in src/interaction/Measure.js:169

### unitPrefixFormat

unitPrefixFormat: unitPrefix

The format function

- Defined in src/interaction/MeasureAzimut.js:67

## Methods

### createDrawInteraction

- createDrawInteraction(style, source): DrawAzimut | Draw | default

- #### Parameters

  - ##### style: StyleLike

    The sketchStyle used for the drawing interaction.

  - ##### source: VectorSource<LineString>

    Vector source.

  #### Returns DrawAzimut | Draw | default

  The interaction

  Overrides ngeoInteractionMeasure.createDrawInteraction

  - Defined in src/interaction/MeasureAzimut.js:77

### getDrawInteraction

- getDrawInteraction(): DrawAzimut | Draw | default

- #### Returns DrawAzimut | Draw | default

  The draw interaction.

  Inherited from ngeoInteractionMeasure.getDrawInteraction

  - Defined in src/interaction/Measure.js:262

### getTooltipElement

- getTooltipElement(): Element

- Get a reference to the tooltip element.

  #### Returns Element

  Tooltip Element.

  Inherited from ngeoInteractionMeasure.getTooltipElement

  - Defined in src/interaction/Measure.js:514

### handleMeasure

- handleMeasure(callback): void

- #### Parameters

  - ##### callback: ((arg0, arg1) => void)

    The function to be called.

    - - (arg0, arg1): void

      - #### Parameters

        - ##### arg0: string

        - ##### arg1: Coordinate

        #### Returns void

  Overrides ngeoInteractionMeasure.handleMeasure

  - Defined in src/interaction/MeasureAzimut.js:88

### setMap

- setMap(map): void

- #### Parameters

  - ##### map: Map

    Map.

  #### Returns void

  Inherited from ngeoInteractionMeasure.setMap

  - Defined in src/interaction/Measure.js:282

Generated using TypeDoc